You are Unregistered, please register to gain Full access.    

Go Back   SiNfuL iPhone > Device Specific > iPhone 3G

Notices

iPhone 3G iPhone 3G Discussion | Help
NO JAILBREAKING QUESTIONS!

Reply
Thread Tools

 This App is Incompatible with this iphone
Unread 09-12-2012, 09:20 AM   #1
boogey
n00b
 
boogey is offline
Join Date: Sep 2012
Device: iPhone 3G
iOS Version: 4.2.x
iTunes Version: iTunes 10
Carrier: Other
OS: Windows 7
Location: Strumica
Posts: 3
Thanks: 2
Thanked 1 Time in 1 Post
This App is Incompatible with this iphone

Is there any way/chance to install apps who says "This App is Incompatible with this iphone" that need newer iOS, like facebook, or maybe game Agent Dash??

Here are the pics...

  Reply With Quote

 
Unread 09-12-2012, 09:41 AM   #2
pearljammer
Obsessive iPhone Disorder
 
pearljammer's Avatar
 
pearljammer is offline
Join Date: Mar 2011
Device: iPhone 5
iOS Version: 7.0
iTunes Version: iTunes 11
Carrier: Vodafone
OS: Windows 7
Location: XD
Posts: 356
Thanks: 347
Thanked 90 Times in 80 Posts
nope.. u cannot do anything about this. for games its just that the 3g dosnt work fast enough
  Reply With Quote
The Following User Says Thank You to pearljammer For This Useful Post:
boogey (09-12-2012)

 
Unread 09-12-2012, 10:00 AM   #3
boogey
n00b
 
boogey is offline
Join Date: Sep 2012
Device: iPhone 3G
iOS Version: 4.2.x
iTunes Version: iTunes 10
Carrier: Other
OS: Windows 7
Location: Strumica
Posts: 3
Thanks: 2
Thanked 1 Time in 1 Post
ahaa okaay thanks...
  Reply With Quote

 
Unread 09-12-2012, 02:30 PM   #4
(-•SiNfulSS•-)

 
(-•SiNfulSS•-)'s Avatar
 
(-•SiNfulSS•-) is offline
Join Date: Jun 2009
Device: iPhone 5
iOS Version: 6.1.2
iTunes Version: iTunes 11
Carrier: AT&T
OS: Windows 7 x64
Location: 127.0.0.1
Posts: 7,185
Thanks: 1,678
Thanked 25,034 Times in 2,583 Posts
Well it honestly just depends. Sometimes you can edit the Info.plist file of the app and change the MinimumOSVersion key.

Code:
	<key>MinimumOSVersion</key>
	<string>4.3</string>
Sometimes it works and sometimes it don't but you got nothing to lose to just try



If you lack enemies, you're not doing something worthwhile!
(-•SiNfulSS•-)

www.SiNfulSS.com
www.SiNfuLiPhone.com
www.SiNfuLiPhoneRepo.com
www.SiNfuLRacing.com
www.SiNfuLComputers.com
  Reply With Quote
The Following User Says Thank You to (-•SiNfulSS•-) For This Useful Post:
eon (11-01-2012)

 
Unread 11-01-2012, 12:33 AM   #5
brewhoxs
n00b
 
brewhoxs's Avatar
 
brewhoxs is offline
Join Date: Oct 2012
Device: iPhone 3G
iOS Version: 4.2.x
iTunes Version: iTunes 10
Carrier: Other
OS: Windows XP
Location: Indonesia
Posts: 15
Thanks: 5
Thanked 2 Times in 1 Post
Is that really working? Cause i'm use iPhone 3G with OS 4.2.1 & I need to play The King Of Fighters i 2012, but i guess this games are not compatible for my iDevice. Is there anymore solutions, please?
  Reply With Quote

 
Unread 11-01-2012, 12:50 AM   #6
eon
green
 
eon's Avatar
 
eon is offline
Join Date: Aug 2009
Device: iPhone 4S
iOS Version: 5.1.1
iTunes Version: iTunes 10
Carrier: Other
OS: Windows 7
Location: P H I L I P P I N E S
Posts: 269
Thanks: 172
Thanked 102 Times in 71 Posts
Quote:
Originally Posted by brewhoxs View Post
Is that really working? Cause i'm use iPhone 3G with OS 4.2.1 & I need to play The King Of Fighters i 2012, but i guess this games are not compatible for my iDevice. Is there anymore solutions, please?
to my knowledge the post above yours says it all.
  Reply With Quote

 
Unread 11-01-2012, 12:57 AM   #7
brewhoxs
n00b
 
brewhoxs's Avatar
 
brewhoxs is offline
Join Date: Oct 2012
Device: iPhone 3G
iOS Version: 4.2.x
iTunes Version: iTunes 10
Carrier: Other
OS: Windows XP
Location: Indonesia
Posts: 15
Thanks: 5
Thanked 2 Times in 1 Post
Icon5

Quote:
Originally Posted by (-•SiNfulSS•-) View Post
Well it honestly just depends. Sometimes you can edit the Info.plist file of the app and change the MinimumOSVersion key.

Code:
	<key>MinimumOSVersion</key>
	<string>4.3</string>
Sometimes it works and sometimes it don't but you got nothing to lose to just try
Then, how to do that? sorry, cause i'm newbie. Could you please show me how to do that, please? Cause The King Of Fighters i 2012 requires iOS 4.1/4.2 or later but i can't installed on my iDevice via iTunes, because it's incompatibility. But the fact is my iDevice using OS 4.2.1.

So, am i losing something in here? Or do I miss something too? Is this games are really not compatible for my device? Please reply ASAP & i'm really much appreciate it...

Last edited by brewhoxs; 11-01-2012 at 02:09 AM.
  Reply With Quote

 
Unread 11-06-2012, 04:23 PM   #8
MMG9816
n00b
 
MMG9816 is offline
Join Date: Nov 2012
Device: iPhone 3G
iOS Version: 4.2.x
iTunes Version: iTunes 10
Carrier: AT&T
OS: Windows 7
Location: Death Valley
Posts: 14
Thanks: 4
Thanked 1 Time in 1 Post
Quote:
Originally Posted by brewhoxs View Post
Then, how to do that? sorry, cause i'm newbie. Could you please show me how to do that, please? Cause The King Of Fighters i 2012 requires iOS 4.1/4.2 or later but i can't installed on my iDevice via iTunes, because it's incompatibility. But the fact is my iDevice using OS 4.2.1.

So, am i losing something in here? Or do I miss something too? Is this games are really not compatible for my device? Please reply ASAP & i'm really much appreciate it...
Do you have the cydia app iFile? I think it could be done through that.
when in ifile go to /<var<mobile<applications then you choose what app it is and click it. the click the folder with the app name and .app at the end. Scroll down to info.plist and click on it and press poperty text viewer. when in that you go to where it says minimumosversion and you edit that too your ios. try rebooting after changing info.
Im not sure if this works ive just heard about it, its worth a try
  Reply With Quote
The Following User Says Thank You to MMG9816 For This Useful Post:
brewhoxs (11-20-2012)

 
Unread 11-06-2012, 04:54 PM   #9
Mugen80
Pirate King
 
Mugen80's Avatar
 
Mugen80 is offline
Join Date: Jun 2011
Device: iPhone 4
iOS Version: 6.1.2
iTunes Version: iTunes 10
Carrier: AT&T
OS: Mac OS X
Location: WarDriving thru your Hood
Posts: 299
Thanks: 137
Thanked 114 Times in 70 Posts
The game probably needs the higher OpenGL 2.0 version (3GS up)
I don't think editing the minimum os version will help on those games for use on a 3G
iPhone 3 16gb whited00r
iPhone 3gs 32gb 5.1.1 (Old Boot !)
iPhone 4 16gb 6.1.2 Evasi0n untethered (Main)
iPhone 4s 16gb 6.1.3 (boxed till JB is out!)
iPad 1 3G 32gb 5.1.1 RR untethered
The Thanks button you shall Hit,If I helped a little Bit!

Last edited by Mugen80; 11-06-2012 at 05:04 PM.
  Reply With Quote
The Following User Says Thank You to Mugen80 For This Useful Post:
brewhoxs (11-20-2012)

 
Unread 11-06-2012, 07:44 PM   #10
kingof9x
¯¯\_(ツ)_/¯¯

 
kingof9x's Avatar
 
kingof9x is offline
Join Date: Feb 2010
Device: iPhone 5
iOS Version: 6.1.2
iTunes Version: iTunes 10
Carrier: AT&T
OS: Windows XP
Location: your moms house
Posts: 3,258
Thanks: 1,770
Thanked 1,417 Times in 981 Posts
When it says a min iOS is required then you can try editing the info.plost

If it says it's not compatible with this device then it means there are system requirements your phone/device isn't capable of.

For instance the game the op wants to install will not work because the iPhone 3G doesnt have enough ram to allow the game to play at an acceptable rate.

But the app he wants to install, in this example Facebook is a different story.

He can download the app from itunes to his computer

Right click on the app and select view in explorer

Locate the desired ipa file and copy to the desktop

change the .ipa extension to .zip

Unzip the folder

Locate the info.plist

modify the min iOS version in the info.plist to the desired iOS version

compress it back into a zip

change the extension back to ipa

Double click the app to Put it back into iTunes

And sync like you would a normal app

Apple would rather you said fuck it I'll buy a new device because all the apps I like no longer work on my device instead of keeping a version of the app on the iTunes store for devices that are older.

Thanks to x73x for my sig and avi
  Reply With Quote
The Following 2 Users Say Thank You to kingof9x For This Useful Post:
brewhoxs (11-20-2012), ftb32 (11-20-2012)

 
Unread 11-20-2012, 01:12 AM   #11
brewhoxs
n00b
 
brewhoxs's Avatar
 
brewhoxs is offline
Join Date: Oct 2012
Device: iPhone 3G
iOS Version: 4.2.x
iTunes Version: iTunes 10
Carrier: Other
OS: Windows XP
Location: Indonesia
Posts: 15
Thanks: 5
Thanked 2 Times in 1 Post
To all: Okey, thanks for solutions. Maybe i should changes to the better iDevices. The big problem is, iDevices is not cheap as the others non iDevices. Maybe i should save my money to buy 4S or 5 soon. Once again, thanks to all & i'm really appreciate for solutions..........
  Reply With Quote

 
Unread 03-11-2013, 11:56 AM   #12
Khizar hayyat
n00b
 
Khizar hayyat's Avatar
 
Khizar hayyat is offline
Join Date: Dec 2012
Device: iPhone 3G
iOS Version: 4.3.x
iTunes Version: iTunes 11
Carrier: Other
OS: Windows 7 x64
Location: Punjab Pakistan
Posts: 12
Thanks: 0
Thanked 0 Times in 0 Posts
I have A Solution Simple Solution.
  Reply With Quote
Reply

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off




All times are GMT -7. The time now is 03:11 AM.

Copyright © 2009 ––––•(SiNfulSS)•–––- Shot Caller @ SiNfuL iPhone